Package org.eclipse.emf.cdo.ui

## Class CDOLabelDecorator

- java.lang.Object
- - org.eclipse.emf.cdo.ui.CDOLabelDecorator

- All Implemented Interfaces:
    `IBaseLabelProvider`, `ILabelDecorator`

      public class CDOLabelDecorator
      extends java.lang.Object
      implements ILabelDecorator

  Decorates labels of `CDO objects` according to a pattern.
  Since:
    2.0
  Author:
    Victor Roldan Betancort

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String[]` | `DECORATION_PROPOSALS` |
    `static java.lang.String` | `DECORATOR_ID` |
    `static java.lang.String` | `DEFAULT_DECORATION` |
    `static java.lang.String` | `NO_DECORATION` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CDOLabelDecorator()` |
    `CDOLabelDecorator​(java.lang.String pattern)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addListener​(ILabelProviderListener listener)` |
    `static Image` | `decorate​(Image image, java.lang.Object element)` |
    `Image` | `decorateImage​(Image image, java.lang.Object element)` |
    `java.lang.String` | `decorateText​(java.lang.String text, java.lang.Object element)` |
    `void` | `dispose()` |
    `protected java.lang.String` | `getObjectState​(InternalCDOObject object)` |
    `boolean` | `isLabelProperty​(java.lang.Object element, java.lang.String property)` |
    `java.lang.String` | `parsePattern​(java.lang.String unparsedPattern)` |
    `void` | `removeListener​(ILabelProviderListener listener)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DECORATION_PROPOSALS

          public static final java.lang.String[] DECORATION_PROPOSALS

    - #### DEFAULT_DECORATION

          public static final java.lang.String DEFAULT_DECORATION

    - #### NO_DECORATION

          public static final java.lang.String NO_DECORATION

    - #### DECORATOR_ID

          public static final java.lang.String DECORATOR_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CDOLabelDecorator

          public CDOLabelDecorator()

    - #### CDOLabelDecorator

          public CDOLabelDecorator​(java.lang.String pattern)

  - ### Method Detail

    - #### dispose

          public void dispose()

      Specified by:
        `dispose` in interface `IBaseLabelProvider`

    - #### parsePattern

          public java.lang.String parsePattern​(java.lang.String unparsedPattern)

    - #### decorateImage

          public Image decorateImage​(Image image,
                                     java.lang.Object element)

      Specified by:
        `decorateImage` in interface `ILabelDecorator`

    - #### decorateText

          public java.lang.String decorateText​(java.lang.String text,
                                               java.lang.Object element)

      Specified by:
        `decorateText` in interface `ILabelDecorator`

    - #### isLabelProperty

          public boolean isLabelProperty​(java.lang.Object element,
                                         java.lang.String property)

      Specified by:
        `isLabelProperty` in interface `IBaseLabelProvider`

    - #### addListener

          public void addListener​(ILabelProviderListener listener)

      Specified by:
        `addListener` in interface `IBaseLabelProvider`

    - #### removeListener

          public void removeListener​(ILabelProviderListener listener)

      Specified by:
        `removeListener` in interface `IBaseLabelProvider`

    - #### getObjectState

          protected java.lang.String getObjectState​(InternalCDOObject object)

      Since:
        4.4

    - #### decorate

          public static Image decorate​(Image image,
                                       java.lang.Object element)

      Since:
        4.4